sha2_context(3)

NAME
sha2_context - SHA-256 context structure.

SYNOPSIS

#include <sha2.h>

  Data Fields
unsigned long total [2]
unsigned long state [8]
unsigned char buffer [64]
int is224

Detailed Description

SHA-256 context structure.

Field Documentation

  unsigned char sha2_context::buffer[64]
data block being processed

  int sha2_context::is224
0 => SHA-256, else SHA-224

  unsigned long sha2_context::state[8]
intermediate digest state

  unsigned long sha2_context::total[2]
number of bytes processed

Author

Generated automatically by Doxygen for libalpm from the source code.